--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Runs normal debugger initialization scripts Reads and executes the commands from init file (if any) in the current working directory. This is only done if the current directory is different from your home directory. Thus, you can have more than one init file, one generic in your home directory,
- !ruby/struct:SM::Flow::VERB 
  body: " and another, specific to the program you are debugging, in the\n"
- !ruby/struct:SM::Flow::P 
  body: directory where you invoke ruby-debug.
full_name: Debugger::run_init_script
is_singleton: true
name: run_init_script
params: (out = handler.interface)
visibility: public
